import service from '@/utils/request'

export const getPackingSideTable = (data) => {
    return service({
        url: '/mes_server/packaging_count_document/getTab',
        method: 'get',
        data
    })
}

export const getPackingTable = (params) => {
    return service({
        url: '/mes_server/packaging_count_document/getList',
        method: 'get',
        params
    })
}

export const getOtherSideTable = (data) => {
    return service({
        url: '/mes_server/other_count_document/getTab',
        method: 'get',
        data
    })
}

export const getOtherTable = (params) => {
    return service({
        url: '/mes_server/other_count_document/getList',
        method: 'get',
        params
    })
}


// 计件工计时单侧边栏
export const getTimeSheetSideTable = (data) => {
    return service({
        url: '/mes_server/piece_work_schedule/getTab',
        method: 'get',
        data
    })
}

// 计件工计时单列表
export const getTimeSheetTable = (params) => {
    return service({
        url: '/mes_server/piece_work_schedule/getList',
        method: 'get',
        params
    })
}

// 工单核验单侧边栏
export const getOrderVerificationSideTable = (data) => {
    return service({
        url: '/mes_server/work_order_verification/getTab',
        method: 'get',
        data
    })
}

// 工单核验单列表
export const getOrderVerificationTable = (params) => {
    return service({
        url: '/mes_server/work_order_verification/getList',
        method: 'get',
        params
    })
}